Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyFactorySpi

    java.lang.Object
      |
      +--java.security.KeyFactorySpi

Direct Known Subclasses:
  JDKKeyFactory

public abstract class KeyFactorySpi
extends java.lang.Object

Constructor Summary
`KeyFactorySpi()`

Method Summary
`protected abstract java.security.PrivateKey` | `engineGeneratePrivate(KeySpec keySpec)`
`protected abstract java.security.PublicKey` | `engineGeneratePublic(KeySpec keySpec)`
`protected abstract KeySpec` | `engineGetKeySpec(java.security.Key key, java.lang.Class keySpec)`
`protected abstract java.security.Key` | `engineTranslateKey(java.security.Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyFactorySpi

    public KeyFactorySpi()

Method Detail

### engineGeneratePrivate

    protected abstract java.security.PrivateKey engineGeneratePrivate(KeySpec keySpec)
                                                               throws InvalidKeySpecException

    `InvalidKeySpecException`

### engineGeneratePublic

    protected abstract java.security.PublicKey engineGeneratePublic(KeySpec keySpec)
                                                             throws InvalidKeySpecException

    `InvalidKeySpecException`

### engineGetKeySpec

    protected abstract KeySpec engineGetKeySpec(java.security.Key key,
                                                java.lang.Class keySpec)
                                         throws InvalidKeySpecException

    `InvalidKeySpecException`

### engineTranslateKey

    protected abstract java.security.Key engineTranslateKey(java.security.Key key)
                                                     throws java.security.InvalidKeyException

    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD